## org.biojava.bio.structure
Class JournalArticle

    java.lang.Object
      org.biojava.bio.structure.JournalArticle

    public class JournalArticle

extends Object

PDB-specific

Since:
  1.7
Author:
  Jules Jacobsen

Constructor Summary
`JournalArticle()`

Method Summary
`List<Author>` `getAuthorList()` Get the list of Authors of the JournalArticle
`String` `getDoi()` Get the value of DOI field.
`List<Author>` `getEditorList()` Get the list of editors of the JournalArticle
`String` `getJournalName()`
`String` `getPmid()` Get the value of PMID field.
`int` `getPublicationDate()`
`String` `getPublisher()`
`String` `getRef()` Get the value of REF field.
`String` `getRefn()` Get the value of REFN field.
`String` `getStartPage()`
`String` `getTitle()` Get the value of title
`String` `getVolume()`
`boolean` `isPublished()`
`void` `setAuthorList(List<Author> authorList)`
`void` `setDoi(String doi)` Set the value of doi
`void` `setEditorList(List<Author> editorList)`
`void` `setIsPublished(Boolean state)` Sets the publication state of a JournalArticle - TO BE PUBLISHED == false
`void` `setJournalName(String journalName)`
`void` `setPmid(String pmid)` Set the value of pmid
`void` `setPublicationDate(int publicationDate)`
`void` `setPublished(boolean published)`
`void` `setPublisher(String publisher)`
`void` `setRef(String ref)` Set the value of the ref.
`void` `setRefn(String refn)` Set the value of the refn
`void` `setStartPage(String startPage)`
`void` `setTitle(String title)` Set the value of title
`void` `setVolume(String volume)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JournalArticle

    public JournalArticle()

Method Detail

### getAuthorList

    public List<Author> getAuthorList()

  Get the list of Authors of the JournalArticle

  Returns:
    the List of authors

### setAuthorList

    public void setAuthorList(List<Author> authorList)

### getEditorList

    public List<Author> getEditorList()

  Get the list of editors of the JournalArticle

  Returns:
    the List of editors

### setEditorList

    public void setEditorList(List<Author> editorList)

### getDoi

    public String getDoi()

  Get the value of DOI field. For example: 10.1016/S0969-2126(02)00720-7

  Returns:
    the value of doi

### setDoi

    public void setDoi(String doi)

  Set the value of doi

  Parameters:
    `doi` - new value of doi

### setIsPublished

    public void setIsPublished(Boolean state)

  Sets the publication state of a JournalArticle - TO BE PUBLISHED == false

  Parameters:
    `state` -

### getPmid

    public String getPmid()

  Get the value of PMID field. For example: 12005435

  Returns:
    the value of pmid

### setPmid

    public void setPmid(String pmid)

  Set the value of pmid

  Parameters:
    `pmid` - new value of pmid

### getRef

    public String getRef()

  Get the value of REF field. For example: TO BE PUBLISHED

  Returns:
    the value of ref

### setRef

    public void setRef(String ref)

  Set the value of the ref.

  Parameters:
    `ref` - new value of ref

### getRefn

    public String getRefn()

  Get the value of REFN field. For example: ISSN 0969-2126

  Returns:
    the value of ref

### setRefn

    public void setRefn(String refn)

  Set the value of the refn

  Parameters:
    `refn` - new value of refn

### getTitle

    public String getTitle()

  Get the value of title

  Returns:
    the value of title

### setTitle

    public void setTitle(String title)

  Set the value of title

  Parameters:
    `title` - new value of title

### getJournalName

    public String getJournalName()

### setJournalName

    public void setJournalName(String journalName)

### getPublicationDate

    public int getPublicationDate()

### setPublicationDate

    public void setPublicationDate(int publicationDate)

### isPublished

    public boolean isPublished()

### setPublished

    public void setPublished(boolean published)

### getPublisher

    public String getPublisher()

### setPublisher

    public void setPublisher(String publisher)

### getStartPage

    public String getStartPage()

### setStartPage

    public void setStartPage(String startPage)

### getVolume

    public String getVolume()

### setVolume

    public void setVolume(String volume)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`